/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef GENPOS_PRINT_H
#define GENPOS_PRINT_H


/* Structures definies par d'autres modules */


#include "server/genPosPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_GENPOS_STR ( buf_t buf, struct GENPOS_STR *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRCART_GEO_PARAM ( buf_t buf, struct GENPOS_TRCART_GEO_PARAM *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRAILER_CONNECTION ( buf_t buf, struct GENPOS_TRAILER_CONNECTION *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRCART_REF ( buf_t buf, struct GENPOS_TRCART_REF *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRCART_STATE ( buf_t buf, struct GENPOS_TRCART_STATE *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRCART_CONFIG ( buf_t buf, struct GENPOS_TRCART_CONFIG *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRACK ( buf_t buf, struct GENPOS_TRACK *x, int nDim, int *dims);
void buf_add_enum_GENPOS_TRAILER_TYPE ( buf_t buf, enum GENPOS_TRAILER_TYPE *x, int nDim, int *dims);
void buf_add_struct_GENPOS_TRAJ_POINTS ( buf_t buf, struct GENPOS_TRAJ_POINTS *x, int nDim, int *dims);
void buf_add_enum_GENPOS_TRACK_MODE ( buf_t buf, enum GENPOS_TRACK_MODE *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_CMD_SPEED_PARAM ( buf_t buf, struct GENPOS_CART_CMD_SPEED_PARAM *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_CMD_PARAM ( buf_t buf, struct GENPOS_CART_CMD_PARAM *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_SPEED ( buf_t buf, struct GENPOS_CART_SPEED *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_REF ( buf_t buf, struct GENPOS_CART_REF *x, int nDim, int *dims);
void buf_add_enum_GENPOS_DATA_TYPE ( buf_t buf, enum GENPOS_DATA_TYPE *x, int nDim, int *dims);
void buf_add_enum_GENPOS_MOTION_DIRECTION ( buf_t buf, enum GENPOS_MOTION_DIRECTION *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_CONFIG_VAR ( buf_t buf, struct GENPOS_CART_CONFIG_VAR *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_CONFIG ( buf_t buf, struct GENPOS_CART_CONFIG *x, int nDim, int *dims);
void buf_add_struct_GENPOS_CART_STATE ( buf_t buf, struct GENPOS_CART_STATE *x, int nDim, int *dims);
void buf_add_struct_GENPOS_POSTER_NAME ( buf_t buf, struct GENPOS_POSTER_NAME *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_GENPOS_POSTER_NAME ( buf_t buf, GENPOS_POSTER_NAME *x, int nDim, int *dims);
void buf_add_GENPOS_CART_STATE ( buf_t buf, GENPOS_CART_STATE *x, int nDim, int *dims);
void buf_add_GENPOS_CART_CONFIG ( buf_t buf, GENPOS_CART_CONFIG *x, int nDim, int *dims);
void buf_add_GENPOS_CART_CONFIG_VAR ( buf_t buf, GENPOS_CART_CONFIG_VAR *x, int nDim, int *dims);
void buf_add_GENPOS_MOTION_DIRECTION ( buf_t buf, GENPOS_MOTION_DIRECTION *x, int nDim, int *dims);
void buf_add_GENPOS_DATA_TYPE ( buf_t buf, GENPOS_DATA_TYPE *x, int nDim, int *dims);
void buf_add_GENPOS_CART_REF ( buf_t buf, GENPOS_CART_REF *x, int nDim, int *dims);
void buf_add_GENPOS_CART_SPEED ( buf_t buf, GENPOS_CART_SPEED *x, int nDim, int *dims);
void buf_add_GENPOS_CART_CMD_PARAM ( buf_t buf, GENPOS_CART_CMD_PARAM *x, int nDim, int *dims);
void buf_add_GENPOS_CART_CMD_SPEED_PARAM ( buf_t buf, GENPOS_CART_CMD_SPEED_PARAM *x, int nDim, int *dims);
void buf_add_GENPOS_TRACK_MODE ( buf_t buf, GENPOS_TRACK_MODE *x, int nDim, int *dims);
void buf_add_GENPOS_TRAJ_POINTS ( buf_t buf, GENPOS_TRAJ_POINTS *x, int nDim, int *dims);
void buf_add_GENPOS_TRAILER_TYPE ( buf_t buf, GENPOS_TRAILER_TYPE *x, int nDim, int *dims);
void buf_add_GENPOS_TRACK ( buf_t buf, GENPOS_TRACK *x, int nDim, int *dims);
void buf_add_GENPOS_TRCART_CONFIG ( buf_t buf, GENPOS_TRCART_CONFIG *x, int nDim, int *dims);
void buf_add_GENPOS_TRCART_STATE ( buf_t buf, GENPOS_TRCART_STATE *x, int nDim, int *dims);
void buf_add_GENPOS_TRCART_REF ( buf_t buf, GENPOS_TRCART_REF *x, int nDim, int *dims);
void buf_add_GENPOS_TRAILER_CONNECTION ( buf_t buf, GENPOS_TRAILER_CONNECTION *x, int nDim, int *dims);
void buf_add_GENPOS_TRCART_GEO_PARAM ( buf_t buf, GENPOS_TRCART_GEO_PARAM *x, int nDim, int *dims);
void buf_add_GENPOS_STR ( buf_t buf, GENPOS_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* GENPOS_TCLSERV_CLIENT_ENCODE_H */

